Share via


Private Link Services - Delete Private Endpoint Connection

Delete private end point connection for a private link service in a subscription.

DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/privateLinkServices/{serviceName}/privateEndpointConnections/{peConnectionName}?api-version=2025-05-01

URI Parameters

Name In Required Type Description
peConnectionName
path True

string

The name of the resource that is unique within a resource group. This name can be used to access the resource.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

serviceName
path True

string

The name of the private link service.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

Resource deleted successfully.

202 Accepted

Resource deletion accepted.

Headers

  • Location: string
  • Retry-After: integer
204 No Content

Resource does not exist.

Other Status Codes

Error

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Sample request

DELETE https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/privateLinkServices/testPls/privateEndpointConnections/testPlePeConnection?api-version=2025-05-01

Sample response

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Network/locations/eastus/operationResults/00000000-0000-0000-0000-000000000000?api-version=2025-05-01

Definitions

Name Description
Error

Common error representation.

ErrorDetails

Common error details representation.

Error

Common error representation.

Name Type Description
code

string

Error code.

details

ErrorDetails[]

Error details.

innerError

string

Inner error message.

message

string

Error message.

target

string

Error target.

ErrorDetails

Common error details representation.

Name Type Description
code

string

Error code.

message

string

Error message.

target

string

Error target.